API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/billing/documents/{documentId}/dispatch-pay
ark.apply_carrier_invoice_dispatch_pay
Apply Carrier Invoice Amount to Dispatch Pay through the authoritative Billing application boundary.
- Availability
- Expanded preview
- Scopes
billing:write- ARK permissions
canViewBillingcanMakeAdjustments- Team visibility
- Not entity-scoped
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
documentIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Stable key for safe replay of this exact operation input.
- min length: 8; max length: 200
Request body
reviewIdstringrequiredformat: uuid
expectedCurrentAmountMinorstringrequiredexpectedInvoiceAmountMinorstringrequiredExample request
Shell
curl -X POST 'https://arktms.com/api/v1/billing/documents/<documentId>/dispatch-pay' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"reviewId": "<reviewId>",
"expectedCurrentAmountMinor": "<expectedCurrentAmountMinor>",
"expectedInvoiceAmountMinor": "<expectedInvoiceAmountMinor>"
}'Success response
Operation result.
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.documentIdstringrequiredformat: uuid
data.reviewIdstringrequiredformat: uuid
data.loadIdstringrequiredformat: uuid
data.dispatchIdstringrequiredformat: uuid
data.loadNumberinteger | nullrequireddata.currencystringrequiredmin length: 3; max length: 3
data.currencyScaleintegerrequiredmin: 0
data.currentAmountMinorstringrequireddata.invoiceAmountMinorstringrequireddata.varianceMinorstringrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry